CREATE TABLE anc_matrix_sources (
    MATRIX_SOURCE_ID            NUMBER(18, 0) ,
    MATRIX_SOURCE_NAME          VARCHAR2(400)     NOT NULL,
    INPUT_TYPE_CD               VARCHAR2(120)     NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    ANC_MATRIX_SOURCES_ALTCD    VARCHAR2(960)     NOT NULL,
    VIEW_OBJECT_NAME            VARCHAR2(400) ,
    VIEW_CRITERIA_NAME          VARCHAR2(400) ,
    PLSQL_PACKAGE               VARCHAR2(400) ,
    JAVA_CLASS                  VARCHAR2(960) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    MATRIX_SOURCE_ID            NUMBER(18, 0) ,
    MATRIX_SOURCE_NAME          VARCHAR2(400)     NOT NULL,
    INPUT_TYPE_CD               VARCHAR2(120)     NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    ANC_MATRIX_SOURCES_ALTCD    VARCHAR2(960)     NOT NULL,
    VIEW_OBJECT_NAME            VARCHAR2(400) ,
    VIEW_CRITERIA_NAME          VARCHAR2(400) ,
    PLSQL_PACKAGE               VARCHAR2(400) ,
    JAVA_CLASS                  VARCHAR2(960) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_anc_matrix_sources PRIMARY KEY (MATRIX_SOURCE_ID, MATRIX_SOURCE_ID)
);
